  <p>
    Kako bi se izbjeglo da postoje dijelovi scene koji su u potpunosti zamračeni (primjerice pozadina),
    model osvjetljavanja možemo proširiti i globalnim ambijentnim osvjetljenjem. U situaciji u kojoj bismo
    imali \(k\) izvora svjetlosti, ukupno osvjetljenje neke površine računali bismo kao sumu globalnog ambijentnog
    osvjetljenja i osvjetljenja koje generiraju svaki od izvora (takav model imamo u OpenGL-u 1.1).
  </p>

  <p>Razmatrat ćemo dva modela izvora svjetlosti te dio parametara koje je moguće za njih podesiti u OpenGL-u 1.1.</p>
  <ul>
   <li>Izvor svjetlosti može biti <i>točkasti</i>: to je izvor beskonačno malih dimenzija koji se nalazi u sceni
       na nekoj poziciji.</li>
   <li>Izvor svjetlosti može biti <i>usmjeren</i>: to je izvor koji je toliko daleko od scene da njegova svjetlost
       na sve površine dolazi iz istog smjera (sve zrake koje dolaze od njega kroz čitavu scenu su paralelne).
       Kada bismo točkasti izvor gurnuli beskonačno daleko, dobili bismo ovakvo ponašanje.</li>
  </ul>

  <p>
    Za izvor je potrebno zadati njegov položaj: točku u homogenom prostoru (<i>x</i>, <i>y</i>, <i>z</i>, <i>h</i>). Ako je <i>h</i>
    postavljen na 0, izvor je usmjeren i (<i>x</i>, <i>y</i>, <i>z</i>) predstavlja vektor prema izvoru (koji smo u izrazima označavali s \(\vec l\)).
    Ako je <i>h</i> različit od nule, tada je (<i>x</i>/<i>h</i>, <i>y</i>/<i>h</i>, <i>z</i>/<i>h</i>) položaj izvora u radnom prostoru, i tada se 
    vektor \(\vec l\) za pojedine točke ravnine računa kao razlika položaja izvora i položaja promatrane točke ravnine.
  </p>

  <p>Izvor može biti i usnopljen (zamislite ručnu baterijsku svjetiljku ili reflektor). Takvi izvori svjetlost ne generiraju jednoliko u svim smjerovima
     već je fokusiraju u jedan dio prostora. Takve izvore ovdje nećemo razmatrati.</p>

  <p>Intenzitet svjetlosti koja od izvora dopire do neke površine može biti neovisan o udaljenosti izvora i površine. Želimo
     li kvalitetniji model, ugradit ćemo opažanje iz stvarnog svijeta koje kaže da intenzitet svjetla opada s udaljenosti od izvora.
     OpenGL za ovo koristi prigušnu funkciju (engl. <i>attenuation function</i>) koja je definirana kao:
     \[
       f_{\text{atten}} = \frac{1}{k_c + k_l \cdot d + k_q \cdot d^2}
     \]
     gdje je \(d\) udaljenost od izvora a \(k_c\), \(k_l\) i \(k_q\) predstavljaju konstantni član,
     faktor uz linearni član udaljenosti te \(k_q\) faktor uz kvadratni član udaljenosti. Ova funkcija 
     množit će izračunate intenzitete utjecaja ambijentne, difuzne i zrcalne komponente na osvjetljenje površine i time omogućiti realističnije scene.
     Kvadratni model prigušenja odgovara fizikalnom ponašanju svjetlosti; međutim, u računalno generiranim scenama 
     temeljenim na ovom modelu osvjetljavanja prebrzo guši osvjetljenje. Stoga se preporuča ili uporaba linearnog modela (\(k_q = 0\))
     ili u cijelosti isključiti prigušenje.
  </p>
  <p>
     Želimo li isključiti prigušenje, odabrat ćemo \(k_c = 1\), \(k_l = 0\) i \(k_q = 0\).
  </p>

  <p>Kako bi se ponudila maksimalna fleksibilnost pri radu s izvorima, u OpenGL-u 1.1, izvori su 
     karakterizirani s tri vrste zračenja:</p>
  <ol>
    <li>intenzitetom ambijentnog osvjetljenja koje emitiraju za \(I_{LA}\)=(r,g,b),</li>
    <li>intenzitetom difuznog osvjetljenja koje emitiraju za \(I_{LD}\)=(r,g,b) te</li>
    <li>intenzitetom zrcalnog osvjetljenja koje emitiraju za \(I_{LR}\)=(r,g,b).</li>
    <li>Dodatno, za izvor se pamti njegov položaj \(\vec p_L\) u homogenim koordinatama.</li>
  </ol>
  <p>Pri tome slovo L u oznaci definira da se radi o parametru izvora (engl. <i>Light</i>), a sljedeće
     slovo označava o kojoj se komponenti radi: ambijentnoj, difuznoj ili zrcalnoj.</p>
  <p>Ako Vas ovdje zbunjuje kako to izvor može imati tri različita skupa intenziteta - radi se samo o modeliranju.
     U praksi, \(I_{LD}\) i \(I_{LR}\) ćemo postaviti na iste vrijednosti - to je ono što opisuje zračenje izvora.
     \(I_{LA}\) ima smisla zasebno izdvojiti jer opisuje kakav je ambijentalni utjecaj tog izvora na čitavu scenu.
  </p>

  <p>Uz parametre koji se pridružuju svakom pojedinom izvoru, postoji i:</p>
  <ul>
    <li>intenzitet globalnog ambijentnog osvjetljenja u čitavoj sceni \(I_{GA}\)=(r,g,b).</li>
  </ul>

